Bug 782819 (CVE-2012-0059) - CVE-2012-0059 Satellite, Spacewalk: RHN user password disclosure upon failed system registration
Summary: CVE-2012-0059 Satellite, Spacewalk: RHN user password disclosure upon failed ...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2012-0059
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 749890
Blocks: 782836
TreeView+ depends on / blocked
 
Reported: 2012-01-18 15:49 UTC by Jan Lieskovsky
Modified: 2019-09-29 12:50 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-06 18:57:04 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:0101 normal SHIPPED_LIVE Low: Red Hat Network Satellite spacewalk-backend security and bug fix update 2012-02-06 23:15:41 UTC
Red Hat Product Errata RHSA-2012:0102 normal SHIPPED_LIVE Low: Red Hat Network Proxy spacewalk-backend security and bug fix update 2012-02-06 23:15:29 UTC

Description Jan Lieskovsky 2012-01-18 15:49:28 UTC
A password disclosure flaw was found in the way Red Hat Network (RHN) Satellite Server, RHN Proxy Server and Spacewalk performed new system registration in the case of XMLRPC call failure. If a RHN Satellite, Proxy or Spacewalk user submitted a XMLRPC system registration call (together with their credentials) and processing of this request resulted in a failure, RHN Satellite, Proxy or Spacewalk administrator could use this deficiency to obtain plaintext form of a password for particular RHN Satellite, Proxy or Spacewalk user.

References:
[1] https://bugzilla.redhat.com/show_bug.cgi?id=749890

Spacewalk upstream patch:
[2] http://git.fedorahosted.org/git/?p=spacewalk.git;a=commitdiff;h=76d0064693107148e4a949fc7ad62d72bb3ec26c

Comment 1 Jan Lieskovsky 2012-01-18 16:02:54 UTC
The CVE identifier of CVE-2012-0059 has been assigned to this issue.

Comment 2 errata-xmlrpc 2012-02-06 18:17:01 UTC
This issue has been addressed in following products:

  Red Hat Network Proxy v 5.4

Via RHSA-2012:0102 https://rhn.redhat.com/errata/RHSA-2012-0102.html

Comment 3 errata-xmlrpc 2012-02-06 18:17:20 UTC
This issue has been addressed in following products:

  Red Hat Network Satellite Server v 5.4

Via RHSA-2012:0101 https://rhn.redhat.com/errata/RHSA-2012-0101.html


Note You need to log in before you can comment on or make changes to this bug.